Package org.apache.sling.cms.core.internal.operations

## Class MembershipOperation

- java.lang.Object
- - org.apache.sling.cms.core.internal.operations.MembershipOperation

All Implemented Interfaces:
  `org.apache.sling.servlets.post.PostOperation`

    public class MembershipOperation
    extends Object
    implements org.apache.sling.servlets.post.PostOperation

The `MembersOperation` will update the membership of a group.

### Field Summary

Fields
`static String` `PN_MEMBERSHIP`

### Fields inherited from interface org.apache.sling.servlets.post.PostOperation

`PROP_OPERATION_NAME, SERVICE_NAME`

### Constructor Summary

Constructors
`MembershipOperation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run​(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.servlets.post.PostResponse response, org.apache.sling.servlets.post.SlingPostProcessor[] processors)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PN_MEMBERSHIP

    public static final String PN_MEMBERSHIP

See Also:
  Constant Field Values

### Constructor Detail

#### MembershipOperation

    public MembershipOperation()

### Method Detail

#### run

    public void run​(org.apache.sling.api.SlingHttpServletRequest request,
                    org.apache.sling.servlets.post.PostResponse response,
                    org.apache.sling.servlets.post.SlingPostProcessor[] processors)

Specified by:
  `run` in interface `org.apache.sling.servlets.post.PostOperation`